org.hibernate.search.engine.impl

## Class MutableSearchFactoryState

- java.lang.Object
- - org.hibernate.search.engine.impl.MutableSearchFactoryState

- All Implemented Interfaces:
    SearchFactoryState

      public class MutableSearchFactoryState
      extends Object
      implements SearchFactoryState

  Shared factory state
  Author:
    Emmanuel Bernard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutableSearchFactoryState()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFilterDefinitions(Map<String,FilterDef> filterDefinitions)`
    `void` | `addIntegrations(Map<IndexManagerType,SearchIntegration> integrations)`
    `void` | `copyStateFromOldFactory(SearchFactoryState oldFactoryState)`
    `boolean` | `enlistWorkerInTransaction()`
    `IndexManagerHolder` | `getAllIndexesManager()`
    `BackendQueueProcessor` | `getBackendQueueProcessor()`
    `int` | `getCacheBitResultsSize()`
    `Properties` | `getConfigurationProperties()`
    `TypeHierarchy` | `getConfiguredTypeHierarchy()`
    `TimeoutExceptionFactory` | `getDefaultTimeoutExceptionFactory()`
    `IndexedTypeMap<DocumentBuilderContainedEntity>` | `getDocumentBuildersContainedEntities()`
    `ErrorHandler` | `getErrorHandler()`
    `FilterCachingStrategy` | `getFilterCachingStrategy()`
    `Map<String,FilterDef>` | `getFilterDefinitions()`
    `IndexedTypeMap<EntityIndexBinding>` | `getIndexBindings()`
    `TypeHierarchy` | `getIndexedTypeHierarchy()`
    `IndexingMode` | `getIndexingMode()`
    `IndexManagerFactory` | `getIndexManagerFactory()`
    `InstanceInitializer` | `getInstanceInitializer()`
    `Map<IndexManagerType,SearchIntegration>` | `getIntegrations()`
    `SearchMapping` | `getProgrammaticMapping()`
    `ServiceManager` | `getServiceManager()`
    `Statistics` | `getStatistics()`
    `TimingSource` | `getTimingSource()`
    `Worker` | `getWorker()`
    `LuceneWorkSerializer` | `getWorkSerializerState()` Immutable: what's important here is not to forget that a workSerializer has already been requested, so that the factory that copies this state will be able to know it should release this service.
    `boolean` | `isDeleteByTermEnforced()`
    `boolean` | `isIdProvidedImplicit()`
    `boolean` | `isIndexMetadataComplete()`
    `boolean` | `isMultitenancyEnabled()`
    `boolean` | `isTransactionManagerExpected()`
    `void` | `setActiveSearchIntegrator(ExtendedSearchIntegratorWithShareableState factory)`
    `void` | `setAllIndexesManager(IndexManagerHolder indexesFactory)`
    `void` | `setBackendQueueProcessor(BackendQueueProcessor backendQueueProcessor)`
    `void` | `setCacheBitResultsSize(int cacheBitResultsSize)`
    `void` | `setConfigurationProperties(Properties configurationProperties)`
    `void` | `setConfiguredTypeHierarchy(TypeHierarchy configuredTypeHierarchy)`
    `void` | `setDefaultTimeoutExceptionFactory(TimeoutExceptionFactory defaultTimeoutExceptionFactory)`
    `void` | `setDeleteByTermEnforced(boolean deleteByTermEnforced)`
    `void` | `setDocumentBuildersContainedEntities(IndexedTypeMap<DocumentBuilderContainedEntity> documentBuildersContainedEntities)`
    `void` | `setDocumentBuildersIndexedEntities(IndexedTypeMap<EntityIndexBinding> documentBuildersIndexedEntities)`
    `void` | `setErrorHandler(ErrorHandler errorHandler)`
    `void` | `setFilterCachingStrategy(FilterCachingStrategy filterCachingStrategy)`
    `void` | `setIdProvidedImplicit(boolean idProvidedImplicit)`
    `void` | `setIndexedTypeHierarchy(TypeHierarchy indexedTypeHierarchy)`
    `void` | `setIndexingMode(IndexingMode indexingMode)`
    `void` | `setIndexManagerFactory(IndexManagerFactory indexManagerFactory)`
    `void` | `setIndexMetadataComplete(boolean indexMetadataIsComplete)`
    `void` | `setInstanceInitializer(InstanceInitializer instanceInitializer)`
    `void` | `setMultitenancyEnabled(boolean isMultitenancyEnabled)`
    `void` | `setProgrammaticMapping(SearchMapping mapping)`
    `void` | `setSearchMapping(SearchMapping mapping)`
    `void` | `setServiceManager(ServiceManager serviceManager)`
    `void` | `setStatistics(Statistics statistics)`
    `void` | `setTimingSource(TimingSource timingSource)`
    `void` | `setTransactionManagerExpected(boolean transactionManagerExpected)`
    `void` | `setWorker(Worker worker)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MutableSearchFactoryState

          public MutableSearchFactoryState()

  - ### Method Detail

    - #### copyStateFromOldFactory

          public void copyStateFromOldFactory(SearchFactoryState oldFactoryState)

    - #### getServiceManager

          public ServiceManager getServiceManager()

      Specified by:
        `getServiceManager` in interface `SearchFactoryState`

    - #### setServiceManager

          public void setServiceManager(ServiceManager serviceManager)

    - #### getDocumentBuildersContainedEntities

          public IndexedTypeMap<DocumentBuilderContainedEntity> getDocumentBuildersContainedEntities()

      Specified by:
        `getDocumentBuildersContainedEntities` in interface `SearchFactoryState`

    - #### getIndexBindings

          public IndexedTypeMap<EntityIndexBinding> getIndexBindings()

      Specified by:
        `getIndexBindings` in interface `SearchFactoryState`

    - #### getIndexingMode

          public IndexingMode getIndexingMode()

      Specified by:
        `getIndexingMode` in interface `SearchFactoryState`

    - #### getWorker

          public Worker getWorker()

      Specified by:
        `getWorker` in interface `SearchFactoryState`

    - #### getBackendQueueProcessor

          public BackendQueueProcessor getBackendQueueProcessor()

    - #### getFilterDefinitions

          public Map<String,FilterDef> getFilterDefinitions()

      Specified by:
        `getFilterDefinitions` in interface `SearchFactoryState`

    - #### getFilterCachingStrategy

          public FilterCachingStrategy getFilterCachingStrategy()

      Specified by:
        `getFilterCachingStrategy` in interface `SearchFactoryState`

    - #### getIntegrations

          public Map<IndexManagerType,SearchIntegration> getIntegrations()

      Specified by:
        `getIntegrations` in interface `SearchFactoryState`

    - #### getCacheBitResultsSize

          public int getCacheBitResultsSize()

      Specified by:
        `getCacheBitResultsSize` in interface `SearchFactoryState`

    - #### getConfigurationProperties

          public Properties getConfigurationProperties()

      Specified by:
        `getConfigurationProperties` in interface `SearchFactoryState`

    - #### getConfiguredTypeHierarchy

          public TypeHierarchy getConfiguredTypeHierarchy()

      Specified by:
        `getConfiguredTypeHierarchy` in interface `SearchFactoryState`
      Returns:
        The type hierarchy for all configured types, indexed or not.

    - #### getIndexedTypeHierarchy

          public TypeHierarchy getIndexedTypeHierarchy()

      Specified by:
        `getIndexedTypeHierarchy` in interface `SearchFactoryState`
      Returns:
        The type hierarchy for configured types that are indexed (for instance because they are annotated with @Indexed)

    - #### setDocumentBuildersContainedEntities

          public void setDocumentBuildersContainedEntities(IndexedTypeMap<DocumentBuilderContainedEntity> documentBuildersContainedEntities)

    - #### setDocumentBuildersIndexedEntities

          public void setDocumentBuildersIndexedEntities(IndexedTypeMap<EntityIndexBinding> documentBuildersIndexedEntities)

    - #### setIndexingMode

          public void setIndexingMode(IndexingMode indexingMode)

    - #### setWorker

          public void setWorker(Worker worker)

    - #### setBackendQueueProcessor

          public void setBackendQueueProcessor(BackendQueueProcessor backendQueueProcessor)

    - #### addFilterDefinitions

          public void addFilterDefinitions(Map<String,FilterDef> filterDefinitions)

    - #### setFilterCachingStrategy

          public void setFilterCachingStrategy(FilterCachingStrategy filterCachingStrategy)

    - #### addIntegrations

          public void addIntegrations(Map<IndexManagerType,SearchIntegration> integrations)

    - #### setCacheBitResultsSize

          public void setCacheBitResultsSize(int cacheBitResultsSize)

    - #### setConfigurationProperties

          public void setConfigurationProperties(Properties configurationProperties)

    - #### setConfiguredTypeHierarchy

          public void setConfiguredTypeHierarchy(TypeHierarchy configuredTypeHierarchy)

    - #### setIndexedTypeHierarchy

          public void setIndexedTypeHierarchy(TypeHierarchy indexedTypeHierarchy)

    - #### isTransactionManagerExpected

          public boolean isTransactionManagerExpected()

      Specified by:
        `isTransactionManagerExpected` in interface `SearchFactoryState`

    - #### setTransactionManagerExpected

          public void setTransactionManagerExpected(boolean transactionManagerExpected)

    - #### setAllIndexesManager

          public void setAllIndexesManager(IndexManagerHolder indexesFactory)

    - #### getAllIndexesManager

          public IndexManagerHolder getAllIndexesManager()

      Specified by:
        `getAllIndexesManager` in interface `SearchFactoryState`

    - #### setActiveSearchIntegrator

          public void setActiveSearchIntegrator(ExtendedSearchIntegratorWithShareableState factory)

    - #### getErrorHandler

          public ErrorHandler getErrorHandler()

      Specified by:
        `getErrorHandler` in interface `SearchFactoryState`

    - #### setErrorHandler

          public void setErrorHandler(ErrorHandler errorHandler)

    - #### getInstanceInitializer

          public InstanceInitializer getInstanceInitializer()

      Specified by:
        `getInstanceInitializer` in interface `SearchFactoryState`

    - #### setInstanceInitializer

          public void setInstanceInitializer(InstanceInitializer instanceInitializer)

    - #### getDefaultTimeoutExceptionFactory

          public TimeoutExceptionFactory getDefaultTimeoutExceptionFactory()

      Specified by:
        `getDefaultTimeoutExceptionFactory` in interface `SearchFactoryState`

    - #### setDefaultTimeoutExceptionFactory

          public void setDefaultTimeoutExceptionFactory(TimeoutExceptionFactory defaultTimeoutExceptionFactory)

    - #### getTimingSource

          public TimingSource getTimingSource()

      Specified by:
        `getTimingSource` in interface `SearchFactoryState`

    - #### setTimingSource

          public void setTimingSource(TimingSource timingSource)

    - #### setProgrammaticMapping

          public void setProgrammaticMapping(SearchMapping mapping)

    - #### getProgrammaticMapping

          public SearchMapping getProgrammaticMapping()

      Specified by:
        `getProgrammaticMapping` in interface `SearchFactoryState`

    - #### setSearchMapping

          public void setSearchMapping(SearchMapping mapping)

    - #### isIndexMetadataComplete

          public boolean isIndexMetadataComplete()

      Specified by:
        `isIndexMetadataComplete` in interface `SearchFactoryState`

    - #### isDeleteByTermEnforced

          public boolean isDeleteByTermEnforced()

      Specified by:
        `isDeleteByTermEnforced` in interface `SearchFactoryState`

    - #### setIndexMetadataComplete

          public void setIndexMetadataComplete(boolean indexMetadataIsComplete)

    - #### setDeleteByTermEnforced

          public void setDeleteByTermEnforced(boolean deleteByTermEnforced)

    - #### isIdProvidedImplicit

          public boolean isIdProvidedImplicit()

      Specified by:
        `isIdProvidedImplicit` in interface `SearchFactoryState`

    - #### setIdProvidedImplicit

          public void setIdProvidedImplicit(boolean idProvidedImplicit)

    - #### isMultitenancyEnabled

          public boolean isMultitenancyEnabled()

      Specified by:
        `isMultitenancyEnabled` in interface `SearchFactoryState`

    - #### setMultitenancyEnabled

          public void setMultitenancyEnabled(boolean isMultitenancyEnabled)

    - #### getIndexManagerFactory

          public IndexManagerFactory getIndexManagerFactory()

      Specified by:
        `getIndexManagerFactory` in interface `SearchFactoryState`

    - #### enlistWorkerInTransaction

          public boolean enlistWorkerInTransaction()

      Specified by:
        `enlistWorkerInTransaction` in interface `SearchFactoryState`

    - #### setIndexManagerFactory

          public void setIndexManagerFactory(IndexManagerFactory indexManagerFactory)

    - #### getStatistics

          public Statistics getStatistics()

      Specified by:
        `getStatistics` in interface `SearchFactoryState`

    - #### setStatistics

          public void setStatistics(Statistics statistics)

    - #### getWorkSerializerState

          public LuceneWorkSerializer getWorkSerializerState()

      Immutable: what's important here is not to forget that a workSerializer has already been requested, so that the factory that copies this state will be able to know it should release this service.
      Specified by:
        `getWorkSerializerState` in interface `SearchFactoryState`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved